classification
Title: Python 2 xml.etree.ElementTree documentation tutorial uses undocumented arguments
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, epakai, serhiy.storchaka, xtreak
Priority: normal Keywords:

Created on 2018-11-03 00:20 by epakai, last changed 2020-05-31 13:34 by serhiy.storchaka. This issue is now closed.

Messages (2)
msg329174 - (view) Author: Joshua Honeycutt (epakai) Date: 2018-11-03 00:20
In python 2 documentation 19.7.1.6
(https://docs.python.org/2/library/xml.etree.elementtree.html#parsing-xml-with-namespaces)
a second argument (ns) is passed to find and findall.

However 19.7.3.2 
(https://docs.python.org/2/library/xml.etree.elementtree.html#xml.etree.ElementTree.Element.find)
only specifies the single match argument.

If we compare the python 3 documentation the namespaces argument is included in the find method. (https://docs.python.org/3/library/xml.etree.elementtree.html#xml.etree.ElementTree.Element.find)

Maybe the tutorial was created for python 3 version? I assume the function arguments are automatically generated, but I have not tested or tried these functions in python 2. I just stumbled on the docs while working with python 3.
msg370452 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-05-31 13:34
Python 2.7 is no longer supported.
History
Date User Action Args
2020-05-31 13:34:13serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg370452

resolution: out of date
stage: resolved
2018-11-12 06:42:38xtreaksetnosy: + xtreak
2018-11-03 00:20:18epakaicreate